<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="ISO-8859-1">
<title>Edit Product</title>

<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
	
	<style>
	td{
		font-size:20px;
		font-weight:bold;
	}
</style>
</head>
<body>

 <div class="container-fluid" >
        
        
    <nav class="navbar navbar-expand-md  navbar-dark bg-dark " >
        <button class="navbar-toggler " data-bs-toggle="collapse" data-bs-target="#hamburger">
            <span class="navbar-toggler-icon "></span>
        </button>
       
       
        <div class="collapse navbar-collapse pt-1 pb-1" id="hamburger">
      
            <ul class="navbar-nav ms-auto pt-1 pb-1" >
               	<div> <h1 style="color:white; margin-right:600px;"> Product Management System </h1></div>
               		
	                <li class="nav-item " ><a href="#" class="nav-link"></a></li>
	                <li class="nav-item "><a href="#" class="nav-link"></a></li>
	                <li class="nav-item "><a href="#" class="nav-link "></a></li>
               
            </ul>
        </div>
    </nav>
    </div>

<!-- Start of table -->
<div class="row">
		<!-- <div class="alert alert-success" *ngIf='message'>{{message}}</div> -->

	<div class="container" style="margin-top:100px;">
	<div align="center">
		
		<h1 align="left"> Edit Product</h1> 
		<form action="#" th:action="@{/add}" th:object="${productAdmin}" method="POST"  enctype="multipart/form-data">
		<table class="table table-bordered">
				<tr> 
					<td><label class="form-label" > Product ID </label></td>
					<td> <input type="text" th:field="*{id}" readonly="readonly"/ class="form-control"></td>
				</tr>
				<tr> 
					<td><label class="form-label" > Product Name </label></td>
					<td> <input type="text" th:field="*{name}"/ class="form-control"></td>
				</tr>
				<tr> 
					<td><label class="form-label" > Price </label></td>
					<td> <input type="text" th:field="*{price}"/ class="form-control"> </td>
				</tr>
				<tr> 
					<td>
						
						<label class="form-label" > Image </label>
					
					</td>
					<td> 
						<input type="file" th:field="*{image}" class="form-control"/> 
					
					</td>
				</tr>
				<tr> 
					<td colspan="2"><button type="submit"  class="btn btn-primary">Update Product</button></td>
					
				</tr>
			</table>
		</form>
	</div>
</div>
</div>
</body>
</html>